Package Details: aircrack-m4-svn r18-2

Git Clone URL: https://aur.archlinux.org/aircrack-m4-svn.git (read-only)
Package Base: aircrack-m4-svn
Description: A GUI for aircrack-ng written in C++ an Qt.
Upstream URL: http://code.google.com/p/aircrackgui-m4/
Licenses: GPL
Provides: aircrack-m4
Submitter: lssjbrolli
Maintainer: jorge_barroso
Last Packager: jorge_barroso
Votes: 23
Popularity: 0.000362
First Submitted: 2011-10-24 23:19
Last Updated: 2015-06-15 19:23

Latest Comments

GI_Jack commented on 2015-12-26 22:31

holy fucking christ whoever wrote this program sucks. undeclared dependancy to xterm, and it doesn't properly check functionality giving a sparse "not working" error message. airodump won't start, and there is little to debug

Also, the depenency for openssl098 is not included.

depends on macchanger which is known to be broken.

besides, I don't know how else to quantify a GUI aircrack besides skiddie bait.

GI_Jack commented on 2015-12-26 21:28

yet another person guilty of uploading a GUI program without a freedesktop.org compliant .desktop file in /usr/share/applications.

If this program doesn't come with a .desktop file, please make one for the package:

https://wiki.freedesktop.org/www/Howto_desktop_files/

reahel commented on 2014-07-26 23:07

A quick and esay way for fix the linking 'problem' of libssl0.9.8 library is install from AUR the package openssl098 for 32 bit arch, and for 64 bit arch lib32-openssl098.

doctorcolossus commented on 2013-01-16 05:39

patching file DEFINES.h
Hunk #1 FAILED at 39.
1 out of 1 hunk FAILED -- saving rejects to file DEFINES.h.rej
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build aircrack-m4-svn.

lssjbrolli commented on 2012-12-04 22:03

seems nice, i'll try it, thanks for the tip :)

Anonymous comment on 2012-12-04 21:59

i have a cat and two children, i think i cannot addopt anything else, btw wifite is good but besside-ng is awesome.

lssjbrolli commented on 2012-12-04 21:48

thanks for your effort but i think this is too hackish for my taste so will try to find a way to make it build against aircrack from community and openssl from core. If you wish you can adopt the package and do your magic :). But you should try wifite, i find quite nice :D

lssjbrolli commented on 2012-12-04 21:47

thanks for your effort but i think this is too hackish for my taste so will try to find a way to make it build against aircrack from community and openssl from core. If you wish you can adopt the package and do your magic :). But you should try wifite, i find quite nice :D

Anonymous comment on 2012-12-04 21:37

sorry, i have used the google.code version, as you said the aur version cannot compile due a diff patching issue. if you are interested , i have installed the svn version of google.code also installed the aur libssl098 x86_64 and lib32. the aircrack-ng binary of the google.code package complains about a library so link your own version to the directory of airrack-ng binaries. and i think i linked another library but im not sure, if you are interested i will reproduce the installation on another machine.

lssjbrolli commented on 2012-12-04 21:26

please do share so i can update package ;)

All comments